com.google.gwt.uibinder.attributeparsers

## Interface AttributeParser

All Known Implementing Classes:
  BooleanAttributeParser, DoubleAttributeParser, EnumAttributeParser, HorizontalAlignmentConstantParser, IntAttributeParser, IntPairAttributeParser, LengthAttributeParser, SafeUriAttributeParser, StrictAttributeParser, StringAttributeParser, TextAlignConstantParser, VerticalAlignmentConstantParser

    public interface AttributeParser

Attribute parsers are classes that parse xml attribute values, turning them into valid Java expressions.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `parse(com.google.gwt.uibinder.rebind.XMLElement source, java.lang.String value)` Parse the given attribute value.

### Method Detail

#### parse

    java.lang.String parse(com.google.gwt.uibinder.rebind.XMLElement source,
                           java.lang.String value)
                    throws UnableToCompleteException

Parse the given attribute value.

Parameters:
  `source` - the source code the value came from, for error reporting purposes
  `value` - the attribute value to be parsed
Returns:
  a valid Java expression
Throws:
  `UnableToCompleteException` - on parse error